Delete template
Introduced 1.0
The Delete Template API has been deprecated. Use the new Delete Index Template API.
The delete template API operation deletes an index template created using the legacy /_template endpoint.
Endpoints
DELETE /_template/<template-name>
Path parameters
The following table lists the available path parameters. All path parameters are required.
| Parameter | Type | Description |
|---|---|---|
index-name | String | The name of the index to delete. Supports wildcard expressions. |
Query parameters
The following table lists the available query parameters. All parameters are optional.
| Parameter | Type | Description |
|---|---|---|
cluster_manager_timeout | Time | Specifies how long to wait for a connection to the cluster manager node. Default is 30s. |
timeout | Time | Specifies how long to wait for the operation to complete. Default is 30s. |
Example request
DELETE /_template/logging_templateresponse = client.indices.delete_template(
name = "logging_template"
)Example response
{
"acknowledged": true
}